# TdApi.Contact (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: Contact

Package it.tdlight.jni

# Class TdApi.Contact

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Contact

Enclosing class:
  TdApi

    public static class TdApi.Contact
    extends TdApi.Object

Describes a user contact.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `firstName` | First name of the user; 1-255 characters in length.
`String` | `lastName` | Last name of the user.
`String` | `phoneNumber` | Phone number of the user.
`long` | `userId` | Identifier of the user, if known; otherwise 0.
`String` | `vcard` | Additional data about the user in a form of vCard; 0-2048 bytes in length.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Contact()` | Describes a user contact.
`Contact​(DataInput input)` |
`Contact​(String phoneNumber, String firstName, String lastName, String vcard, long userId)` | Describes a user contact.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### phoneNumber

public String phoneNumber
Phone number of the user.

### firstName

public String firstName
First name of the user; 1-255 characters in length.

### lastName

public String lastName
Last name of the user.

### vcard

public String vcard
Additional data about the user in a form of vCard; 0-2048 bytes in length.

### userId

public long userId
Identifier of the user, if known; otherwise 0.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### Contact

public Contact()
Describes a user contact.

### Contact

public Contact​(String phoneNumber, String firstName, String lastName, String vcard, long userId)
Describes a user contact.

Parameters:
  `phoneNumber` - String Phone number of the user.
  `firstName` - String First name of the user; 1-255 characters in length.
  `lastName` - String Last name of the user.
  `vcard` - String Additional data about the user in a form of vCard; 0-2048 bytes in length.
  `userId` - long Identifier of the user, if known; otherwise 0.

### Contact

public Contact​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`